Translate Message
    • Dark
      Light
    • PDF

    Translate Message

    • Dark
      Light
    • PDF

    Article summary

    Post
    /api/v1/autotranslate.translateMessage

    Auto-translates the provided message.

    Changelog

    VersionDescription
    1.3.0Added
    Header parameters
    X-Auth-Token
    stringRequired

    The authToken of the authenticated user.

    ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
    X-User-Id
    stringRequired

    The userId of the authenticated user.

    ExamplerbAXPnMktTFbNpwtJ
    Body parameters
    Example
    {
      "messageId": "Fq7sQNSnDEfzj8qoS",
      "targetLanguage": "en"
    }
    object
    messageId
    string Required

    The message's id to be translated.

    targetLanguage
    string

    The target language that the message will be translated.

    Responses
    200

    OK

    Success
    {
      "message": {
        "_id": "Fq7sQNSnDEfzj8qoS",
        "rid": "GENERAL",
        "msg": "Isso é um teste",
        "ts": "2019-06-27T15:35:20.753Z",
        "u": {
          "_id": "pC6Z2N2ijivxdsYSu",
          "username": "marcos",
          "name": "marcos"
        },
        "_updatedAt": "2019-06-27T15:47:01.486Z",
        "mentions": [],
        "channels": [],
        "translations": {
          "en": "This is a test"
        }
      },
      "success": true
    }
    Expand All
    object
    message
    object
    _id
    string
    rid
    string
    msg
    string
    ts
    string
    u
    object
    _id
    string
    username
    string
    name
    string
    _updatedAt
    string
    mentions
    Array of object
    object
    channels
    Array of object
    object
    translations
    object
    en
    string
    success
    boolean
    401

    Unauthorized

    Authorization Error
    {
      "status": "error",
      "message": "You must be logged in to do this."
    }
    object
    status
    string
    message
    string

    Was this article helpful?

    What's Next
    Changing your password will log you out immediately. Use the new password to log back in.
    First name must have atleast 2 characters. Numbers and special characters are not allowed.
    Last name must have atleast 1 characters. Numbers and special characters are not allowed.
    Enter a valid email
    Enter a valid password
    Your profile has been successfully updated.